# core/plugs/irc.py
#
#

""" irc related commands. """

__copyright__ = "Copyright 2014 B.H.J Thate"

## IMPORTS

from core import kernel, Object
from core.bots import IRCBot
from core.utils import error, run_thr

import logging
import _thread
import time

## CONFIG

cfg = Object()
cfg.server = "localhost"
cfg.username = "core"
cfg.channel = "#core"
cfg.nick = "core"
cfg.ctype = "irc"

## INIT

def init(*args, **kwargs):
    ncfg = kernel.last("ctype", "irc")
    if not ncfg: ncfg = cfg ; ncfg.save()
    bot = IRCBot(ncfg)
    kernel.fleet.append(bot)
    bot.start()
